#include "xfxelemvisuals.h"

XFxElemVisuals::XFxElemVisuals()
    : XAsset()
    , mAnonymousPtr(0)
    , mAnonymous(nullptr)
    , mMaterialPtr(0)
    , mMaterial(new XMaterial())
    , mModelPtr(0)
    , mModel(new XModel())
    , mEffectDef()
    , mSoundNamePtr(0)
    , mSoundName("")
{
    SetName("Element Visuals");
}

XFxElemVisuals::~XFxElemVisuals()
{
    
}

void XFxElemVisuals::Clear()
{
    mAnonymousPtr = 0;
    mAnonymous = nullptr;

    mMaterialPtr = 0;
    mMaterial = new XMaterial();

    mModelPtr = 0;
    mModel = new XModel();

    mEffectDef = XEffectDefRef();

    mSoundNamePtr = 0;
    mSoundName = "";
}

void XFxElemVisuals::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxElemVisuals::ParseData
}
